import 'package:betting/view/mobile/scores/football/detail_tournament/tournament_video/tournament_video_controller.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:get/get.dart';
import '../../../../../../commom/utils/color_utils.dart';


class TournamentVideoPage extends GetView<TournamentVideoController> {
  @override
  final controller = Get.put(TournamentVideoController());

  TournamentVideoPage({super.key});

  @override
  Widget build(BuildContext context) {
    return Container(
      color: Colors.transparent,
      child: ListView.builder(
        padding: EdgeInsets.zero,
        shrinkWrap: true,
        itemCount: 10,
        itemBuilder: (context, index) {
          return Container(
            height: 100.h,
            margin: EdgeInsets.only(bottom: 8.h),
            child: Row(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                Stack(
                  children: [
                    ClipRRect(
                      borderRadius: BorderRadius.circular(8.r),
                      child: SizedBox(
                        height: 100.h,
                        width: 150.w,
                        child: Image.asset('assets/images/test.jpg', fit: BoxFit.fill,),
                      ),
                    ),
                    Positioned(
                      top: 8.h,
                        right: 4.w,
                        child: Container(
                          padding: EdgeInsets.symmetric(horizontal: 8.w,vertical: 4.h),
                      decoration: BoxDecoration(
                        color:Colors.black45,
                        borderRadius: BorderRadius.circular(4.r)
                      ),
                      child: Row(
                        children: [
                          const Icon(Icons.slow_motion_video_sharp,color: Colors.white,size: 16,),
                          SizedBox(width: 4.w,),
                          const Text("02:43",style: TextStyle(color: Colors.white),)
                        ],
                      ),
                    ))
                  ],
                ),
                SizedBox(width: 8.w,),
                Column(
                  crossAxisAlignment: CrossAxisAlignment.start,
                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
                  children: [
                    SizedBox(
                      width: 200.w,
                      child: Text('Five talking ponts from sevilla 1-1 Roma (4 -1 on pens)', style: TextStyle(color: ColorUtils.boldWhiteColor, fontSize: 14.sp, fontWeight: FontWeight.bold),),
                    ),
                    const Text("12 hours ago",style: TextStyle(color: Colors.white60),)
                  ],
                )
              ],
            ),
          );
        },),
    );
  }
}
